## jenkins 1.466.2+dfsg

=== debian/changelog ===
jenkins (1.466.2+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream bug fix release.
  * d/rules: Updated handling of java files in groovy source folder.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 13:00:20 +0100

jenkins (1.466.1+dfsg-0ubuntu2) quantal; urgency=low

  * Fix maven based builds in slave mode (LP: #1045795):
    - d/rules: Copy all java files incorrectly located in groovy src
      folder to the correct location to fixup problem with missing
      class MarkFindingOutputStream.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Sep 2012 09:41:33 +0100

jenkins (1.466.1+dfsg-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - d/p/dependency-upgrades/asm3-upgrade.patch,
      d/p/animal-sniffer-upgrade.patch: Dropped - upgrades now in upstream.
    - d/maven.ignoreRules: Ignore new stapler-adjunct-zeroclipboard and
      windows-package-checker dependencies; not required for Debian.
    - d/maven.rules,d/p/use-stock-asm3.patch: Don't use Jenkins jarjar of
      asm3; we have a consistent asm3 dependency chain in Debian/Ubuntu.
    - d/p/remove-findbugs.patch: Updated with new annotations to remove.
    - d/control: Bumped minimum versions of libjenkins-remoting-java and
      libstapler-java inline with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Jul 2012 15:53:57 +0100

jenkins (1.447.2+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * Ensure jenkins keeps logging after log rotation (LP: #993065).
    - d/*.logrotate: Switch to copytruncate so jenkins does not lose
      the original file handle.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jun 2012 09:47:58 +0100

jenkins (1.447.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    - d/patches/dependency-upgrade/groovy-upgrade.patch: Dropped - now
      aligned to upstream version.
    - d/patches/build/jenkins-version-number.patch: Patch in small version
      handling library from Jenkins project rather than package separately.
    - d/patches/build/use-stock-jmdns.patch, d/maven.rules: Revert upstream 
      use of minor fork of JmDNS.
    - d/patches/build/build.patch: Allow building with Maven 2, this works 
      OK for this package as Maven 3 features are not used by the package
      build process at the moment.
    - d/patches/build/remove-findbugs.patch: Drop findbugs annotations from
      the codebase as this tool is not packaged for Debian.
    - Refreshed all other patches.
    - d/maven.ignoreRules, d/maven.properties: Disable unit testing and ignore
      powermock dependencies until powermock is packaged.
    - d/maven.ignoreRules, d/NEWS: Ignore jenkins sshd module until it gets
      packaged and let users know this feature is missing.
    - d/control: Added new dependencies on libsisu-guice-java, libmockito-java.

 -- James Page <james.page@ubuntu.com>  Wed, 02 May 2012 15:12:45 +0100
