## jenkins 1.480.2+dfsg

=== debian/changelog ===
jenkins (1.480.2+dfsg-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #696816, #697617):
    - d/control: Added new BD on libjbcrypt-java.
    - d/control: Versioned BD jenkins-winstone >= 0.9.10-jenkins-40.
    - d/control: Versioned BD jenkins-trilead-ssh2 >= 214-jenkins-1.
    - Fixes the following security vulnerabilities:
      CVE-2012-6072, CVE-2012-6073, CVE-2012-6072, CVE-2013-0158.
  * Tidied lintian warnings.
  * Bumped Standards-Version: 3.9.4, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 10 Jan 2013 09:50:50 +0000

jenkins (1.466.2+dfsg-1) experimental; urgency=low

  * New upstream release.
  * d/rules: Updated handling of java files in groovy source folder.
  * d/*.lintian-overrides: Added overrides for java libraries which
    only install into /usr/share/maven-repo for Jenkins plugin builds.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Nov 2012 09:04:43 +0000
