=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jenkins
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
@@ -47,6 +46,7 @@
  libcommons-lang-java,
  libcommons-logging-java,
  libjaxen-java,
+ libjbcrypt-java (>= 0.3-4~),
  libjellydoc-java,
  libjenkins-plugin-parent-java,
  libjenkins-commons-jelly-java,
@@ -54,8 +54,8 @@
  libjenkins-htmlunit-java,
  libjenkins-json-java (>= 2.1-rev7),
  libjenkins-remoting-java (>= 2.16),
- libjenkins-trilead-ssh2-java,
- libjenkins-winstone-java (>= 0.9.10-jenkins-35),
+ libjenkins-trilead-ssh2-java (>= 214-jenkins-1),
+ libjenkins-winstone-java (>= 0.9.10-jenkins-40),
  libjenkins-xstream-java,
  libjetty-java,
  libjffi-java,
@@ -97,11 +97,10 @@
  libtxw2-java,
  libxpp3-java,
  ttf-dejavu-core
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://jenkins-ci.org/
-Vcs-Git: git://git.debian.org/git/pkg-java/jenkins.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins.git
-DM-Upload-Allowed: yes
+Vcs-Git: git://anonscm.debian.org/pkg-java/jenkins.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jenkins.git
 
 Package: libjenkins-java
 Architecture: all
