## jenkins 1.480.3+dfsg

=== debian/changelog ===
jenkins (1.480.3+dfsg-1~exp2) experimental; urgency=low

  * Revert to using package specific plugin POM file over upstream
    provided version:
    - d/p/build/ignore-plugin-pom.patch: Exclude upstream provided plugin
      POM file from build process, fixing FTBFS.
    - d/rules,plugin-parent.pom.in: Use packaging specific plugin POM
      file to ensure compatibility with Jenkins modules.

 -- James Page <james.page@ubuntu.com>  Sat, 06 Apr 2013 21:51:07 +0100

jenkins (1.480.3+dfsg-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #700761, #679616):
    - d/control: Versioned BD jenkins-remoting >= 2.22.
    - d/control: Versioned BD jenkins-winstone >= 0.9.10-jenkins-42.
    - d/control: Versioned BD stapler >= 1.198.
    - d/maven.ignoreRules: Ignore new slave-launcher modules until
      packaged.
    - Refreshed patches.
    - Fixes the following security vulnerabilities:
      CVE-2013-0327, CVE-2013-0328, CVE-2013-0329, CVE-2013-0330,
      CVE-2013-0331
  * d/control: Versioned BD trilead-putty-extension (>= 1.2)
    (Closes: #698834).
  * d/control: Add net-tools and procps dependencies to jenkins
    (Closes: #698835).
  * d/rules,control, *.upstart.in: Rejig upstart/init configurations now
    that debhelper does the right thing across Debian/Ubuntu.
  * d/rules,plugin_parent.pom.in: Drop as good plugin parent pom now
    provided upstream.

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 17:11:13 +0000
