=== debian/control ===
--- 
+++ 
@@ -48,14 +48,14 @@
  libjaxen-java,
  libjbcrypt-java (>= 0.3-4~),
  libjellydoc-java,
- libjenkins-plugin-parent-java,
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java (>= 1.1-jenkins-20111212),
  libjenkins-htmlunit-java,
  libjenkins-json-java (>= 2.1-rev7),
- libjenkins-remoting-java (>= 2.16),
+ libjenkins-plugin-parent-java,
+ libjenkins-remoting-java (>= 2.22),
  libjenkins-trilead-ssh2-java (>= 214-jenkins-1),
- libjenkins-winstone-java (>= 0.9.10-jenkins-40),
+ libjenkins-winstone-java (>= 0.9.10-jenkins-42),
  libjenkins-xstream-java,
  libjetty-java,
  libjffi-java,
@@ -83,17 +83,17 @@
  libowasp-java-html-sanitizer-java,
  libpam4j-java,
  librobust-http-client-java,
- libsisu-guice-java,
  libservlet2.5-java,
  libsezpoz-java,
+ libsisu-guice-java,
  libspring-aop-java,
  libspring-core-java,
  libspring-ldap-java,
  libspring-web-java,
  libstapler-adjunct-codemirror-java,
  libstapler-adjunct-timeline-java,
- libstapler-java (>= 1.189),
- libtrilead-putty-extension-java,
+ libstapler-java (>= 1.198),
+ libtrilead-putty-extension-java (>= 1.2),
  libtxw2-java,
  libxpp3-java,
  ttf-dejavu-core
@@ -162,7 +162,7 @@
 Package: jenkins-common
 Architecture: all
 Depends:
- libjenkins-remoting-java,
+ libjenkins-remoting-java (>= 2.22),
  libjffi-java,
  libjna-java,
  libjnr-posix-java,
@@ -259,7 +259,7 @@
  default-jre-headless | java6-runtime-headless,
  libcommons-io-java,
  libcommons-lang-java,
- libjenkins-remoting-java,
+ libjenkins-remoting-java (>= 2.22),
  libjenkins-xstream-java,
  libjffi-java,
  libjnr-posix-java,
