=== debian/rules ===
--- 
+++ 
@@ -40,25 +40,9 @@
 	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
 	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar
 
-# Switch in upstart configuration if building on Ubuntu
-# and generate control with/without daemon.
-build/jenkins::
-	if dpkg-vendor --derives-from ubuntu ; then \
-        cp debian/jenkins.upstart.in debian/jenkins.upstart ; \
-    fi
-
-build/jenkins-slave::
-	if dpkg-vendor --derives-from ubuntu ; then \
-        cp debian/jenkins-slave.upstart.in debian/jenkins-slave.upstart ; \
-    fi
-
 # Tidy up any upstart configuration files lying around
 clean::
 	[ ! -f dummy.keystore ] || rm dummy.keystore
-	rm -rf debian/*.upstart
-	rm -rf debian/plugin-debian.pom
-	rm -f core/src/main/java/jenkins/util/MarkFindingOutputStream.java \
-		  core/src/main/java/jenkins/util/ServerTcpPort.java
 
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
@@ -72,10 +56,6 @@
 	for module in jenkins-core cli pom jenkins-war; do \
 		find debian/maven-repo/org/jenkins-ci/main/$${module} -type l -delete || true ;\
 	done
-	# Hack in java files from groovy source folder - no idea why they are there
-	# might be maven3 related.
-	cp core/src/main/groovy/jenkins/util/MarkFindingOutputStream.java core/src/main/java/jenkins/util
-	cp core/src/main/groovy/jenkins/util/ServerTcpPort.java core/src/main/java/jenkins/util
 
 dummy.keystore:
 	keytool -genkeypair -dname "cn=Jenkins, ou=Jenkins Project, o=Debian, c=US" \
