=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 https://github.com/jenkinsci/jenkins/tags .*/jenkins-(\d+).(\d+).(\d+).tar.gz debian debian/orig-tar.sh
