## jenkins 1.509.2+dfsg

=== debian/changelog ===
jenkins (1.509.2+dfsg-2) unstable; urgency=low

  * d/plugin-parent.pom.in,control: Bump access-modifier-check version
    to 1.4 inline with the version in Debian unstable.
    (Closes: #720822, #720803)

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2013 14:12:23 +0100

jenkins (1.509.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #706725):
    - d/control: Update versioned BD's:
      * jenkins-executable-war >= 1.28.
      * jenkins-instance-identity >= 1.3.
      * libjenkins-remoting-java >= 2.23.
      * libjenkins-winstone-java >= 0.9.10-jenkins-44.
      * libstapler-java >= 1.207.
      * libjenkins-json-java >= 2.4-jenkins-1.
      * libstapler-adjunct-timeline-java >= 1.4.
      * libstapler-adjunct-codemirror-java >= 1.2.
      * libmaven-hpi-plugin-java >= 1.93.
      * libjenkins-xstream-java >= 1.4.4-jenkins-3.
    - d/maven.rules: Map to older version of animal-sniffer-maven-plugin.
    - Add patch for compatibility with guava >= 0.14.
    - Add patch to exclude asm4 dependency via jnr-posix.
    - Fixes the following security vulnerabilities:
      CVE-2013-2034, CVE-2013-2033, CVE-2013-2034, CVE-2013-1808
  * d/patches/*: Switch to using git patch-queue for managing patches.
  * De-duplicate jars between libjenkins-java and jenkins-external-job-monitor
    (Closes: #701163):
    - d/control: Add dependency between jenkins-external-job-monitor ->
      libjenkins-java.
    - d/rules: 
      Drop installation of jenkins-core in jenkins-external-job-monitor.
    - d/jenkins-external-job-monitor.{links,install}: Link to jenkins-core
      in /usr/share/java instead of included version.
  * Wait longer for jenkins to stop during restarts (Closes: #704848):
    - d/jenkins.init: Re-sync init script from upstream codebase.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2013 12:35:19 +0100

jenkins (1.480.3+dfsg-1) unstable; urgency=low

  * Upload to unstable (Closes: #713394, #713423)
  * d/control: Fixup versioned inter-dependencies between jenkins
    packages (Closes: #704845).
  * d/jenkins.default: Provide variables for configuring listen address
    for http and ajp connections (Closes: #684586), listen on 127.0.0.1
    by default to allow installs to be secured before wider access
    (Closes: #675233).
  * Fixup compatibility with new versions of dependencies:
    - d/p/build/fileupload-compat.patch: Compatibility patch for
      commons-fileupload >= 1.3.
    - d/p/build/io-compat.pach: Compatibility patch for commons-io >= 2.4.
    - d/control: Add versioned dependencies for the above patches.
  * d/*.init: Drop use of /lib/init/vars.sh.
  * d/rules: Use mh_installpoms to install all pom files as this ensures
    that ignore rules are actually used.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jul 2013 11:44:01 +0100
