=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
  glassfish-mail,
  groovy,
  jenkins-crypto-util,
- jenkins-executable-war (>= 1.25),
- jenkins-instance-identity,
+ jenkins-executable-war (>= 1.28),
+ jenkins-instance-identity (>= 1.3),
  jenkins-memory-monitor,
  jenkins-ssh-cli-auth,
  jenkins-task-reactor,
@@ -41,8 +41,9 @@
  libcommons-codec-java,
  libcommons-collections3-java,
  libcommons-digester-java,
+ libcommons-fileupload-java (>= 1.3),
  libcommons-httpclient-java,
- libcommons-io-java,
+ libcommons-io-java (>= 2.4),
  libcommons-lang-java,
  libcommons-logging-java,
  libjaxen-java,
@@ -51,12 +52,12 @@
  libjenkins-commons-jelly-java,
  libjenkins-commons-jexl-java (>= 1.1-jenkins-20111212),
  libjenkins-htmlunit-java,
- libjenkins-json-java (>= 2.1-rev7),
+ libjenkins-json-java (>= 2.4-jenkins-1),
  libjenkins-plugin-parent-java,
- libjenkins-remoting-java (>= 2.22),
+ libjenkins-remoting-java (>= 2.23),
  libjenkins-trilead-ssh2-java (>= 214-jenkins-1),
- libjenkins-winstone-java (>= 0.9.10-jenkins-42),
- libjenkins-xstream-java,
+ libjenkins-winstone-java (>= 0.9.10-jenkins-44),
+ libjenkins-xstream-java (>= 1.4.4-jenkins-3),
  libjetty-java,
  libjffi-java,
  libjfreechart-java,
@@ -72,7 +73,7 @@
  libmaven-dependency-plugin-java,
  libmaven-embedder-java,
  libmaven-enforcer-plugin-java,
- libmaven-hpi-plugin-java,
+ libmaven-hpi-plugin-java (>= 1.93),
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
@@ -90,9 +91,9 @@
  libspring-core-java,
  libspring-ldap-java,
  libspring-web-java,
- libstapler-adjunct-codemirror-java,
- libstapler-adjunct-timeline-java,
- libstapler-java (>= 1.198),
+ libstapler-adjunct-codemirror-java (>= 1.2),
+ libstapler-adjunct-timeline-java (>= 1.4),
+ libstapler-java (>= 1.207),
  libtrilead-putty-extension-java (>= 1.2),
  libtxw2-java,
  libxpp3-java,
@@ -131,8 +132,9 @@
 Architecture: all
 Depends:
  junit4,
- libjenkins-java,
- libmaven-hpi-plugin-java,
+ libaccess-modifier-checker-java (>= 1.4),
+ libjenkins-java (= ${binary:Version}),
+ libmaven-hpi-plugin-java (>= 1.93),
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
  libservlet2.5-java,
@@ -162,7 +164,7 @@
 Package: jenkins-common
 Architecture: all
 Depends:
- libjenkins-remoting-java (>= 2.22),
+ libjenkins-remoting-java (>= 2.23),
  libjffi-java,
  libjna-java,
  libjnr-posix-java,
@@ -194,7 +196,7 @@
 Depends:
  adduser,
  default-jre-headless | java6-runtime-headless,
- jenkins-common,
+ jenkins-common (= ${binary:Version}),
  ${jenkins-daemon-deps},
  ${misc:Depends}
 Conflicts: jenkins-tomcat, tomcat6
@@ -255,14 +257,8 @@
 Package: jenkins-external-job-monitor
 Architecture: all
 Depends:
- ant,
  default-jre-headless | java6-runtime-headless,
- libcommons-io-java,
- libcommons-lang-java,
- libjenkins-remoting-java (>= 2.22),
- libjenkins-xstream-java,
- libjffi-java,
- libjnr-posix-java,
+ libjenkins-java (= ${binary:Version}),
  ${misc:Depends}
 Description: Jenkins CI external job monitoring
  Jenkins monitors executions of repeated jobs, such as building a software
@@ -307,6 +303,3 @@
     procmail jobs, even those that are run on a remote machine. For example,
     with cron, all you receive is regular e-mails that capture the output,
     and it is up to you to look at them diligently and notice when it broke.
-    Jenkins keeps those outputs and makes it easy for you to notice when
-    something is wrong.
- .
