=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+#export DH_VERBOSE=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/maven.mk
@@ -35,10 +37,9 @@
 	jh_classpath -pjenkins-cli
 	jh_manifest -pjenkins-cli
 
-# Create handy links for script wrapper
-binary-post-install/jenkins-external-job-monitor::
-	dh_link -pjenkins-external-job-monitor usr/share/jenkins/external-job-monitor/java/jenkins-core-$(DEB_UPSTREAM_VERSION).jar \
-	    usr/share/jenkins/external-job-monitor/java/jenkins-core.jar
+# Install POM files directly
+binary-post-install/libjenkins-java::
+	mh_installpoms -plibjenkins-java
 
 # Tidy up any upstart configuration files lying around
 clean::
