## jenkins 1.565.3

=== debian/changelog ===
jenkins (1.565.3-3) unstable; urgency=medium

  * Team upload.

  [ Yann Rouillard ]
  * Added dependency on libcglib3-java to fix NoClassDefFoundError at runtime.
  * Removed Context Resource symlinks directives as they don't work anymore in
    Tomcat 8 and are not required for Jenkins (Closes: #769594)
  * Removed useless properties Debug and AllowLinking in Context definition
    to suppress warnings in Tomcat logs.
  * Backported upstream patch to ensure HttpOnly cookie flag is properly set
    and avoid warning messages about Security cookie flag (Closes: #769682)

  [ Emmanuel Bourg ]
  * Documented the security issue with master/slave setups (CVE-2014-3665)
  * Documented in /etc/default/jenkins how to run Jenkins
    on non local addresses (Closes: #726489)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Dec 2014 12:27:57 +0100

jenkins (1.565.3-2) unstable; urgency=medium

  * Team upload.
  * Install core plugins:
    - matrix-auth 1.2 and matrix-project 1.3 (Closes: #764711)
    - mailer 1.11 (Closes: #764960)
    - ant 1.2
    - antisamy-markup-formatter 1.2
  * Removed the build dependency on libowasp-java-html-sanitizer-java
  * Depend on libguice-java >= 4.0~beta5 to fix a NoSuchMethodError
    at runtime with the Maven plugin
  * Standards-Version updated to 3.9.6 (no changes)
  * Added a Built-Using field for jenkins-common

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 24 Oct 2014 22:37:41 +0200

jenkins (1.565.3-1) unstable; urgency=high

  * Team upload.
  * New upstream release
    - Fixes multiple security vulnerabilities (Closes: #763899)
    - Refreshed the patches
    - Removed 0018-fileupload-compat.patch (applied upstream)
  * Fixed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Oct 2014 17:19:29 +0200

jenkins (1.565.2-3) unstable; urgency=medium

  * Removed unused build dependencies: libjetty-java and glassfish-activation
  * Depend on libmail-java instead of glassfish-mail
  * Added a dependency on bytecode-compatibility-transformer (Closes: #762798)
  * Added a note about the manual installation of matrix-project-plugin
    in debian/jenkins.README.Debian

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Sep 2014 15:49:56 +0200

jenkins (1.565.2-2) unstable; urgency=medium

  * Team upload.
  * debian/plugin-debian.pom.in: Updated the version of maven-stapler-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Sep 2014 17:12:36 +0200

jenkins (1.565.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes multiple security vulnerabilities (Closes: #732708, #739067)
    - Refreshed the patches
    - Ignore the dependency on bytecode-compatibility-transformer
    - Ignore the dependency on org.kohsuke.jinterop:j-interop
    - Ignore the dependency on org.jenkins-ci.modules:systemd-slave-installer
    - Added a dependency on libguice-java and libjsr305-java
    - Depend on libjenkins-remoting-java >= 2.43
    - Depend on libannotation-indexer-java >= 1.7
    - Depend on libstapler-java >= 1.224
    - Depend on libstapler-adjunct-codemirror-java >= 1.3
    - Depend on jenkins-test-annotations >= 1.1
    - Depend on libbridge-method-injector-java >= 1.9
    - Depend on libasm4-java instead of libasm3-java
  * jenkins-tomcat now targets Tomcat 8 instead of Tomcat 6 (Closes: #759623)
  * Fixed a build failure caused by the relocation of the Maven artifacts
    in groovy 1.8.6-4 (Closes: #759946)
  * Removed the sourceless and unused connection.swf file (Closes: #736792)
  * debian/watch: Fixed to match only the LTS releases (Closes: #731204)
  * Switch to debhelper level 9
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Depend on the Servlet API 3.1 instead of 2.5
  * debian/copyright: Updated the Format URI to 1.0
  * Use XZ compression for the upstream tarball
  * Added a lintian override for the source-contains-prebuilt-javascript-object
    and source-is-missing tags since every *-min.js has a corresponding
    *-debug.js file in the same directory with the original source.
    (Closes: #736793)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 16 Sep 2014 14:38:16 +0200
