=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 9),
  default-jdk (>= 1:1.6),
  javahelper,
  maven-debian-helper,
@@ -13,29 +13,34 @@
 Build-Depends-Indep:
  ant,
  ant-optional,
- glassfish-activation,
- glassfish-mail,
- groovy,
+ groovy (>= 1.8.6-4~),
+ jenkins-ant-plugin,
+ jenkins-antisamy-markup-formatter-plugin,
  jenkins-crypto-util,
  jenkins-executable-war (>= 1.28),
  jenkins-instance-identity (>= 1.3),
+ jenkins-mailer-plugin,
+ jenkins-matrix-auth-plugin,
+ jenkins-matrix-project-plugin,
  jenkins-memory-monitor,
  jenkins-ssh-cli-auth,
  jenkins-task-reactor,
- jenkins-test-annotations,
+ jenkins-test-annotations (>= 1.1),
  junit (>= 3.8.2),
  junit4,
  libaccess-modifier-checker-java,
  libacegi-security-java,
  libakuma-java (>= 1.8),
  libanimal-sniffer-java,
- libannotation-indexer-java,
+ libannotation-indexer-java (>= 1.7),
  libantlr-java,
  libantlr-maven-plugin-java,
  libaopalliance-java,
  libargs4j-java,
- libasm3-java,
- libbridge-method-injector-java,
+ libasm4-java,
+ libbridge-method-injector-java (>= 1.9),
+ libbytecode-compatibility-transformer-java,
+ libcglib3-java,
  libclassworlds-java,
  libcommons-beanutils-java,
  libcommons-codec-java,
@@ -46,6 +51,7 @@
  libcommons-io-java (>= 2.4),
  libcommons-lang-java,
  libcommons-logging-java,
+ libguice-java (>= 4.0~beta5~),
  libjaxen-java,
  libjbcrypt-java (>= 0.3-4~),
  libjellydoc-java,
@@ -54,20 +60,21 @@
  libjenkins-htmlunit-java,
  libjenkins-json-java (>= 2.4-jenkins-1),
  libjenkins-plugin-parent-java,
- libjenkins-remoting-java (>= 2.23),
+ libjenkins-remoting-java (>= 2.43),
  libjenkins-trilead-ssh2-java (>= 214-jenkins-1),
  libjenkins-winstone-java (>= 0.9.10-jenkins-44),
  libjenkins-xstream-java (>= 1.4.4-jenkins-3),
- libjetty-java,
  libjffi-java,
  libjfreechart-java,
  libjmdns-java,
  libjna-java,
  libjnr-posix-java,
  libjson-java,
+ libjsr305-java,
  libjstl1.1-java,
  libjtidy-java,
  liblocalizer-java,
+ libmail-java,
  libmaven-antrun-extended-plugin-java,
  libmaven-assembly-plugin-java,
  libmaven-dependency-plugin-java,
@@ -76,32 +83,31 @@
  libmaven-hpi-plugin-java (>= 1.93),
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
- libmaven-stapler-plugin-java,
+ libmaven-stapler-plugin-java (>= 1.17),
  libmaven-war-plugin-java,
  libmaven2-core-java,
  libmetainf-services-java,
  libmockito-java,
- libowasp-java-html-sanitizer-java,
  libpam4j-java,
  librobust-http-client-java,
- libservlet2.5-java,
+ libservlet3.1-java,
  libsezpoz-java,
  libsisu-guice-java,
  libspring-aop-java,
  libspring-core-java,
  libspring-ldap-java,
  libspring-web-java,
- libstapler-adjunct-codemirror-java (>= 1.2),
+ libstapler-adjunct-codemirror-java (>= 1.3),
  libstapler-adjunct-timeline-java (>= 1.4),
- libstapler-java (>= 1.207),
+ libstapler-java (>= 1.224),
  libtrilead-putty-extension-java (>= 1.2),
  libtxw2-java,
  libxpp3-java,
  ttf-dejavu-core
-Standards-Version: 3.9.4
-Homepage: http://jenkins-ci.org/
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/jenkins.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jenkins.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/jenkins.git
+Homepage: http://jenkins-ci.org
 
 Package: libjenkins-java
 Architecture: all
@@ -137,7 +143,6 @@
  libmaven-hpi-plugin-java (>= 1.93),
  libmaven-javadoc-plugin-java,
  libmaven-stapler-plugin-java,
- libservlet2.5-java,
  libsurefire-java,
  ${misc:Depends}
 Description: Jenkins Plugin Parent Maven POM
@@ -164,12 +169,26 @@
 Package: jenkins-common
 Architecture: all
 Depends:
- libjenkins-remoting-java (>= 2.23),
+ libjenkins-remoting-java (>= 2.43),
  libjffi-java,
  libjna-java,
  libjnr-posix-java,
  ${misc:Depends}
 Recommends: jenkins-cli
+Built-Using:
+ acegi-security (= ${acegi:Version}),
+ bouncycastle (= ${bouncycastle:Version}),
+ commons-httpclient (= ${httpclient:Version}),
+ guice (= ${guice:Version}),
+ jenkins-ant-plugin (= ${ant-plugin:Version}),
+ jenkins-antisamy-markup-formatter-plugin (= ${antisamy-plugin:Version}),
+ jenkins-mailer-plugin (= ${mailer-plugin:Version}),
+ jenkins-matrix-auth-plugin (= ${matrix-auth-plugin:Version}),
+ jenkins-matrix-project-plugin (= ${matrix-project-plugin:Version}),
+ jenkins-winstone (= ${winstone:Version}),
+ libcommons-fileupload-java (= ${fileupload:Version}),
+ libspring-java (= ${spring:Version}),
+ stapler (= ${stapler:Version})
 Description: Jenkins common Java components and web application
  Jenkins monitors executions of repeated jobs, such as building a software
  project or jobs run by cron. Among those things, current Jenkins focuses
@@ -289,17 +308,3 @@
  libjnr-posix-java,
  ${misc:Depends}
 Description: Jenkins CI Command Line Interface
- Jenkins monitors executions of repeated jobs, such as building a software
- project or jobs run by cron. Among those things, current Jenkins focuses
- on the following two jobs:
- .
-  * Building/testing software projects continuously, just like CruiseControl
-    or DamageControl. In a nutshell, Jenkins provides an easy-to-use
-    so-called continuous integration system, making it easier for developers
-    to integrate changes to the project, and making it easier for users to
-    obtain a fresh build. The automated, continuous build increases
-    productivity.
-  * Monitoring executions of externally-run jobs, such as cron jobs and
-    procmail jobs, even those that are run on a remote machine. For example,
-    with cron, all you receive is regular e-mails that capture the output,
-    and it is up to you to look at them diligently and notice when it broke.
