=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,downloadurlmangle=s#http://mirrors.jenkins-ci.org/debian-stable/jenkins_(.*)_all.deb#https://github.com/jenkinsci/jenkins/archive/jenkins-$1.tar.gz#,filenamemangle=s#jenkins_([\d\.]+)_all.deb#jenkins-$1.tar.gz# \
 http://mirrors.jenkins-ci.org/debian-stable/jenkins_([\d\.]+)_all.deb debian debian/orig-tar.sh
